Subject: bug#9169: gnulib import for MacOS, Irix, Solaris, etc.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Jul 2011 21:32:36 +0300

> Date: Mon, 25 Jul 2011 10:10:01 -0700
> From: Paul Eggert <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>
> 
> Since gnulib has revamped where it puts
> some of the files, this patch also moves some files around in Emacs,
> using a new build-aux directory to remove some of the clutter; this
> affects the Windows builds too so I've made the obvious minor changes
> to the Windows files.

Thanks.  I did just a cursory review for now; I will get to testing
this by actually building the DOS port later.

> --- config.bat	2011-05-20 09:47:59 +0000
> +++ config.bat	2011-07-24 22:15:47 +0000
> @@ -275,10 +275,10 @@
>  cd ..
> 
>  rem   ----------------------------------------------------------------------
> 
>  Echo Configuring the lib directory...
> 
> -If Exist c++defs.h update c++defs.h cxxdefs.h
> 
> +If Exist build-aux/snippet/c++defs.h update build-aux/snippet/c++defs.h build-aux/snippet/cxxdefs.h

"if exist" is a DOS shell command, so it must follow DOS file-name
syntax and use backslashes as directory separators.  Everything after
"update" can use forward slashes, since `update' is a DJGPP utility
that understands both DOS and Unix file-name syntax.  So:

  If Exist build-aux\snippet\c++defs.h update build-aux/snippet/c++defs.h build-aux/snippet/cxxdefs.h

> -If Exist c++defs.h update c++defs.h cxxdefs.h
> 
> +If Exist build-aux/snippet/c++defs.h update build-aux/snippet/c++defs.h build-aux/snippet/cxxdefs.h

Same here.